package be.seeseemelk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;

@Setter
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class Parent {
    @Builder.Default
    private String special = "not set";

    public void doThingWithArg(String arg) {
        System.out.printf("be.seeseemelk.Parent: %s (%s)%n", arg, special);
    }

    public void doThingWithoutArg() {
        System.out.printf("be.seeseemelk.Parent (%s)%n", special);
    }
}
